#include <iostream>
#include <vector>

using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n;
    int k;
    cin>>n>>k;
    int j,i;
    vector<int> vec(n);
    for(i=0;i<n;i++)
        cin>>vec[i];

    for(i=0;i<n;i++){
        if(k==vec[i]){
            j=i;
            break;
        }
    }
    if(j==(n-1)){
        cout<<vec[0];
    }
    else{
        cout<<vec[j+1];
    }

    return 0;
}